Bug 1124937 - ejb invocation exception in business central
Summary: ejb invocation exception in business central
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ER4
: 6.1.0
Assignee: Alexandre Porcelli
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 16:33 UTC by Prabakar
Modified: 2015-09-01 04:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Prabakar 2014-07-30 16:33:59 UTC
Description of problem:
I have two BRMS6 nodes running horizontal cluster mode on EAP-6.1 connected with 3rd server which is act as loadbalancer (mod-cluster and mod-jk). BRMS6 design time (development environment) cluster working fine, with out any issue but the problem is I can see lots of error message comming up in 5 -10 minutes frequncy, but this is not stoping my BRMS6 cluster functions, but this seems like some thing wrong in the business central.

Version-Release number of selected component (if applicable):
brms-6.0.2-GA
eap-6.1-GA
rhel6
java version "1.7.0_55"

How reproducible:
machine one - 
. install httpd, mod-cluster and mod-jk
. start zookeeper server
. create brms cluster and add brms cluster members

machine two
. run helix controller
. start brms1 business central

machine three
. run helix controller
. start brms2 business central 

watch the both server logs.....you can see the following error...




Actual results:
11:38:57,654 INFO  [org.apache.helix.manager.zk.CallbackHandler] (ZkClient-EventThread-143-10.11.164.80:2181) 143 END:INVOKE /repoCluster/INSTANCES/node1/MESSAGES listener:org.apache.helix.messaging.handling.HelixTaskExecutor Took: 6ms
11:38:57,655 INFO  [org.apache.helix.messaging.handling.HelixTask] (pool-16-thread-35) handling task: 6fe96098-3877-4757-abb4-11c908ea3e6f begin, at: 1406734737655
11:38:57,660 INFO  [org.apache.helix.messaging.handling.HelixTask] (pool-16-thread-35) Message 6fe96098-3877-4757-abb4-11c908ea3e6f completed.
11:38:57,673 INFO  [org.apache.helix.messaging.handling.HelixTaskExecutor] (pool-16-thread-35) message finished: 6fe96098-3877-4757-abb4-11c908ea3e6f, took 17
11:38:57,673 INFO  [org.apache.helix.messaging.handling.HelixTask] (pool-16-thread-35) msg: 6fe96098-3877-4757-abb4-11c908ea3e6f handling task completed, results:true, at: 1406734737673, took:18
11:38:57,671 ERROR [org.jboss.as.ejb3.invocation] (EJB default - 5) JBAS014134: EJB Invocation failed on component MailboxProcessOutgoingExecutorManager for method public void org.guvnor.inbox.backend.server.MailboxProcessOutgoingExecutorManager.execute(org.guvnor.inbox.backend.server.AsyncMailboxProcessOutgoing): javax.ejb.EJBException: java.lang.NullPointerException
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.handleExceptionInNoTx(CMTTxInterceptor.java:191) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:237) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.notSupported(CMTTxInterceptor.java:299) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:212) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:59) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.AdditionalSetupInterceptor.processInvocation(AdditionalSetupInterceptor.java:55) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.TCCLInterceptor.processInvocation(TCCLInterceptor.java:45) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:165) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:182) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.AsyncFutureInterceptorFactory$1$1.runInvocation(AsyncFutureInterceptorFactory.java:77) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ejb3.component.interceptors.AsyncInvocationTask.run(AsyncInvocationTask.java:73) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_65]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_65]
	at java.lang.Thread.run(Thread.java:745) [rt.jar:1.7.0_65]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122)
Caused by: java.lang.NullPointerException
	at org.guvnor.inbox.backend.server.MailboxService.listUsers(MailboxService.java:157) [guvnor-inbox-backend-6.0.3-redhat-4.jar:6.0.3-redhat-4]
	at org.guvnor.inbox.backend.server.MailboxService$1.execute(MailboxService.java:103) [guvnor-inbox-backend-6.0.3-redhat-4.jar:6.0.3-redhat-4]
	at org.guvnor.inbox.backend.server.MailboxProcessOutgoingExecutorManager.execute(MailboxProcessOutgoingExecutorManager.java:41) [guvnor-inbox-backend-6.0.3-redhat-4.jar:6.0.3-redhat-4]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_65]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_65]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_65]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_65]
	at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:58) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:374) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.doMethodInterception(Jsr299BindingsInterceptor.java:129) [jboss-as-weld-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.processInvocation(Jsr299BindingsInterceptor.java:137) [jboss-as-weld-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:58) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:58) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.SBInvocationInterceptor.processInvocation(SBInvocationInterceptor.java:47)
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.weld.ejb.EjbRequestScopeActivationInterceptor.processInvocation(EjbRequestScopeActivationInterceptor.java:94) [jboss-as-weld-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:53) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.pool.PooledInstanceInterceptor.processInvocation(PooledInstanceInterceptor.java:51) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:235) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	... 25 more

11:38:57,675 INFO  [org.apache.helix.manager.zk.CallbackHandler] (ZkClient-EventThread-143-10.11.164.80:2181) 143 START:INVOKE /repoCluster/INSTANCES/node1/MESSAGES listener:org.apache.helix.messaging.handling.HelixTaskExecutor
11:38:57,678 INFO  [org.apache.helix.manager.zk.CallbackHandler] (ZkClient-EventThread-143-10.11.164.80:2181) node1 subscribes child-change. path: /repoCluster/INSTANCES/node1/MESSAGES, listener: org.apache.helix.messaging.handling.HelixTaskExecutor@23df2e09
11:38:57,680 INFO  [org.apache.helix.messaging.handling.HelixTaskExecutor] (ZkClient-EventThread-143-10.11.164.80:2181) No Messages to process
11:38:57,680 INFO  [org.apache.helix.manager.zk.CallbackHandler] (ZkClient-EventThread-143-10.11.164.80:2181) 143 END:INVOKE /repoCluster/INSTANCES/node1/MESSAGES listener:org.apache.helix.messaging.handling.HelixTaskExecutor Took: 5ms
11:38:57,782 INFO  [org.apache.helix.manager.zk.CallbackHandler] (ZkClient-EventThread-143-10.11.164.80:2181) 143 START:INVOKE /repoCluster/INSTANCES/node1/MESSAGES listener:org.apache.helix.messaging.handling.HelixTaskExecutor
11:38:57,783 INFO  [org.apache.helix.manager.zk.CallbackHandler] (ZkClient-EventThread-143-10.11.164.80:2181) node1 subscribes child-change. path: /repoCluster/INSTANCES/node1/MESSAGES, listener: org.apache.helix.messaging.handling.HelixTaskExecutor@23df2e09
11:38:57,788 INFO  [org.apache.heli

Expected results:
no error shoud be print in the console

Additional info:

Comment 1 Prabakar 2014-08-06 14:14:30 UTC
Is any follow-ups or workaround for this, During brms cluster customer demo, customer keep asking about the error logs...
Is this EAP issue or BRMS 6 issue?

Comment 2 Alexandre Porcelli 2015-01-07 19:40:51 UTC
Fix pushed to guvnor repository:

6.2.x http://github.com/droolsjbpm/guvnor/commit/1c8c3b85f
master http://github.com/droolsjbpm/guvnor/commit/5862adc8e

Comment 3 Alexandre Porcelli 2015-01-07 19:41:25 UTC
Fix pushed to guvnor repository:

6.2.x http://github.com/droolsjbpm/guvnor/commit/1c8c3b85f
master http://github.com/droolsjbpm/guvnor/commit/5862adc8e

Comment 4 Radovan Synek 2015-02-18 17:03:59 UTC
Verified with BPMS-6.1.0.ER5


Note You need to log in before you can comment on or make changes to this bug.